Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.management.configuration
Interface ConfigurationMBean

All Known Subinterfaces:
  ApplicationMBean, BasicRealmMBean, CachingRealmMBean, weblogic.management.configuration.ClassDeploymentMBean, ClusterMBean, ComponentMBean, DeploymentMBean, DomainLogFilterMBean, DomainMBean, EJBComponentMBean, ExecuteQueueMBean, JDBCConnectionPoolMBean, JDBCDataSourceMBean, JDBCMultiPoolMBean, JDBCTxDataSourceMBean, JMSConnectionConsumerMBean, JMSConnectionFactoryMBean, JMSDestinationKeyMBean, JMSDestinationMBean, JMSFileStoreMBean, JMSJDBCStoreMBean, JMSQueueMBean, JMSServerMBean, JMSSessionPoolMBean, JMSStoreMBean, JMSTemplateMBean, JMSTopicMBean, JTAMBean, KernelMBean, LogMBean, PasswordPolicyMBean, RDBMSRealmMBean, RealmMBean, RMCFactoryMBean, SecurityMBean, ServerMBean, ShutdownClassMBean, SSLMBean, StartupClassMBean, TargetMBean, VirtualHostMBean, WebAppComponentMBean, WebDeploymentMBean, WebServerMBean, WLECConnectionPoolMBean, XMLRegistryEntryMBean, XMLRegistryMBean

public interface ConfigurationMBean
extends WebLogicMBean

The tagging interface for configuration MBeans.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.

Method Summary
`java.lang.String` | `getNotes()` Optional user-supplied information about this configuration MBean.
`void` | `setNotes(java.lang.String notes)`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getNotes

    public java.lang.String getNotes()

  Optional user-supplied information about this configuration MBean.

  A dynamic MBean attribute

### setNotes

    public void setNotes(java.lang.String notes)
                  throws javax.management.InvalidAttributeValueException,
                         DistributedManagementException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD